# Disabled due to: ./../../doc/info/maxima.texi:1: I can't find file `mmref'. (Fatal error)
%define enable_pdfdoc   0

%define enable_tests    0

%define enable_clisp    1
%define enable_gcl      1
%define enable_sbcl     1
%define enable_ecl      1
%define defaultlisp     clisp

%if %enable_clisp
%define clisp_flags	--enable-clisp
%else
%define clisp_flags	--disable-clisp
%endif

%if %enable_gcl
%define gcl_flags	--enable-gcl
%else
%define gcl_flags	--disable-gcl
%endif

%if %enable_sbcl
%define sbcl_flags	--enable-sbcl
%else
%define sbcl_flags	--disable-sbcl
%endif

%if %enable_ecl
%define ecl_flags	--enable-ecl
%else
%define ecl_flags	--disable-ecl
%endif

Name:           maxima
Version:        5.40.0
Release:        %mkrel 1
Summary:        Symbolic Computation Program
License:        GPLv2
Group:          Sciences/Mathematics
URL:            http://maxima.sourceforge.net
Source0:        http://downloads.sourceforge.net/maxima/%{name}-%{version}.tar.gz
Source1:        icons-maxima.tar.bz2
Patch0:         maxima-5.22.0-xdg-utils.patch
Patch2:         maxima-fix-contrib-docs.patch
Patch4:         maxima-5.22.0-ecl-ldflags.patch
Patch5:         maxima-5.40.0-pdf-manual-a4-paper-size.patch

BuildRequires:  texinfo
BuildRequires:  texlive
BuildRequires:  texinfo-tex
BuildRequires:  python
BuildRequires:  time
BuildRequires:  desktop-file-utils
BuildRequires:  tk

%if %{enable_clisp}
BuildRequires:  clisp
%endif
%if %{enable_gcl}
BuildRequires:  gcl
%endif
%if %{enable_sbcl}
BuildRequires:  sbcl
# || echo 0 is a hack as src.rpm is generated on BS without BUildRequires installed
%define sbcl_version %((sbcl --version || echo 0) | sed 's/SBCL //')
%endif
%if %{enable_ecl}
BuildRequires:  ecl
%else
Obsoletes:	%{name}-runtime-ecl < %{version}-%{release}
%endif

Requires:       %{name}-runtime
Requires:       gnuplot

Recommends:     tk
Recommends:     tcl


%description
Maxima is a full symbolic computation program.  It is full featured doing
symbolic manipulation of polynomials, matrices, rational functions,
integration, Todd-coxeter, graphing, bigfloats.  It has a symbolic debugger
source level debugger for maxima code.  Maxima is based on the original Macsyma
developed at MIT in the 1970's. It is quite reliable, and has good garbage
collection, and no memory leaks. It comes with hundreds of self tests.


#--------------------------------------------------------------------

%package gui
Summary:        Tcl/Tk GUI interface to Maxima
Group:          Sciences/Mathematics
Requires:       %{name}
Requires:       tk
Provides:       x%{name} = %{version}-%{release}

%description gui
Tcl/Tk GUI interface to Maxima.


%files gui
%{_bindir}/x%{name}
%{_datadir}/applications/mageia-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*.png

#--------------------------------------------------------------------

%if %{enable_clisp}
%package runtime-clisp
Summary:        Maxima compiled with clisp
Group:          Sciences/Mathematics
Requires:       clisp
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-runtime = %{version}-%{release}

%description runtime-clisp
Maxima compiled with clisp.


%files runtime-clisp
%dir %{_libdir}/%{name}/%{version}/binary-clisp
%{_libdir}/%{name}/%{version}/binary-clisp/*
%endif

#--------------------------------------------------------------------

%if %{enable_gcl}
%package runtime-gcl
Summary:        Maxima compiled with GCL
Group:          Sciences/Mathematics
Requires:       %{name} = %{version}-%{release}
Recommends:       rlwrap
Provides:       %{name}-runtime = %{version}-%{release}

%description runtime-gcl
Maxima compiled with Gnu Common Lisp.


%files runtime-gcl
%{_bindir}/r%{name}
%dir %{_libdir}/%{name}/%{version}/binary-gcl
%{_libdir}/%{name}/%{version}/binary-gcl/*
%endif

#--------------------------------------------------------------------
%if %{enable_sbcl}
%package runtime-sbcl
Summary:        Maxima compiled with SBCL
Group:          Sciences/Mathematics
Requires:       sbcl = %{sbcl_version}
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-runtime = %{version}-%{release}

%description runtime-sbcl
Maxima compiled with SBCL.


%files runtime-sbcl
%dir %{_libdir}/%{name}/%{version}/binary-sbcl
%{_libdir}/%{name}/%{version}/binary-sbcl/*
%endif

%if %{enable_ecl}
%package runtime-ecl
Summary:        Maxima compiled with ECL
Group:          Sciences/Mathematics
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-runtime = %{version}-%{release}

%description runtime-ecl
Maxima compiled with ECL.


%files runtime-ecl
%dir %{_libdir}/%{name}/%{version}/binary-ecl
%{_libdir}/%{name}/%{version}/binary-ecl/*
%endif

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build

# suppress warnings
autoreconf -vfi

export GCL_ANSI=y
%if %{enable_sbcl}
export SBCL_HOME=%{_libdir}/sbcl
%endif
CFLAGS="%optflags -fno-fast-math" \
CXXFLAGS="%optflags -fno-fast-math" \
%configure2_5x \
	%{clisp_flags} \
	%{gcl_flags} \
	%{sbcl_flags} \
	%{ecl_flags} \
	--with-default-lisp=%{defaultlisp}

make

%if %{enable_pdfdoc}
make -C doc/info pdf
%endif

%if %{enable_tests}
%check
make -k check ||:
%endif

%install
export EXCLUDE_FROM_COMPRESS=1
%make_install

rm -f %{buildroot}%{_infodir}/dir

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Maxima
Comment=Tcl/Tk interface to Maxima
Exec=%{_bindir}/x%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Science;Math;
EOF

# icons
mkdir -p %{buildroot}%{_iconsdir}
tar xjf %{SOURCE1} -C %{buildroot}%{_iconsdir}

%post
if [[ -f /usr/share/info/%{name}.info ]]; then /sbin/install-info /usr/share/info/%{name}.info --dir=/usr/share/info/dir; fi

%postun
if [ "$1" = "0" ]; then if [[ -f /usr/share/info/%{name}.info ]]; then /sbin/install-info /usr/share/info/%{name}.info --dir=/usr/share/info/dir --remove ; fi; fi 

%files
%doc AUTHORS COPYING README README.lisps
%if %{enable_pdfdoc}
%doc doc/info/%{name}.pdf
%endif
%{_bindir}/%{name}
%{_bindir}/r%{name}
%{_bindir}/x%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/x%{name}.desktop
%{_datadir}/bash-completion/completions/*maxima
%{_datadir}/mime/packages/x-ma*.xml
%{_datadir}/pixmaps/%{name}-new.png
%{_datadir}/pixmaps/*%{name}*.svg
%{_infodir}/*.info*
%{_infodir}/%{name}-index.lisp*
%{_libexecdir}/%{name}/
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Jun 03 2017 akien <akien> 5.40.0-1.mga6
+ Revision: 1105963
- Version 5.40.0

* Sat May 27 2017 neoclust <neoclust> 5.39.0-2.mga6
+ Revision: 1105124
- Rebuilf for ARM

* Sun Jan 29 2017 akien <akien> 5.39.0-1.mga6
+ Revision: 1084096
- Version 5.39.0

* Wed May 11 2016 akien <akien> 5.38.0-1.mga6
+ Revision: 1012420
- Disable PDF doc for now, pdftex fails
- Version 5.38.0

* Tue Mar 01 2016 wally <wally> 5.37.3-3.mga6
+ Revision: 981633
- disable tests for now (hangs on i586)

  + akien <akien>
    - Version 5.37.3

* Sat Sep 19 2015 wally <wally> 5.37.2-1.mga6
+ Revision: 881296
- new version 5.37.2

* Thu Jul 23 2015 wally <wally> 5.36.1-1.mga6
+ Revision: 856591
- new version 5.36.1

* Sat Jun 20 2015 wally <wally> 5.36.0-1.mga6
+ Revision: 836623
- new version 5.36.0

* Wed Feb 11 2015 wally <wally> 5.35.1-1.mga5
+ Revision: 814669
- new version 5.35.1

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.32.1-3.mga5
+ Revision: 682304
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Jan 22 2014 shlomif <shlomif> 5.32.1-2.mga4
+ Revision: 567471
- Rebuild for new SBCL.

* Sun Jan 05 2014 dmorgan <dmorgan> 5.32.1-1.mga4
+ Revision: 564785
- New version ( builds against new texlive)

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jun 03 2013 kamil <kamil> 5.29.1-5.mga4
+ Revision: 436765
- rebuild for new sbcl 1.1.8 and new ecl 13.5.1

* Sun Feb 03 2013 kamil <kamil> 5.29.1-4.mga3
+ Revision: 394229
- rebuild against sbcl 1.1.4

* Mon Jan 14 2013 umeabot <umeabot> 5.29.1-3.mga3
+ Revision: 386058
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 kamil <kamil> 5.29.1-2.mga3
+ Revision: 333427
- rebuild against new ecl

* Sun Dec 16 2012 kamil <kamil> 5.29.1-1.mga3
+ Revision: 331826
- disable P3
- new version 5.29.1

* Thu Dec 13 2012 kamil <kamil> 5.27.0-4.mga3
+ Revision: 330542
- reeaneble ecl build

* Tue Dec 11 2012 kamil <kamil> 5.27.0-3.mga3
+ Revision: 329817
- add texinfo-tex as BR
- rebuild against new sbcl

* Mon May 28 2012 kamil <kamil> 5.27.0-2.mga3
+ Revision: 247737
- new version 5.27.0

* Sat Apr 07 2012 pterjan <pterjan> 5.26.0-2.mga2
+ Revision: 229449
- Obsolete runtime-ecl
- Do not compress info pages, this breaks internal help
- Disable ecl
- Require sbcl version used to build. If a given one is needed it should be a BuildRequires

  + kamil <kamil>
    - reenable 'make check'

* Wed Jan 18 2012 kamil <kamil> 5.26.0-0.3.mga2
+ Revision: 197753
- reenable gcl build
- drop missed-extract-categories.patch (merged upstream)

* Wed Jan 18 2012 kamil <kamil> 5.26.0-0.2.mga2
+ Revision: 197747
- reenable ecl build
- remove EXCLUDE_FROM_COMPRESS for info-pages

* Wed Jan 18 2012 kamil <kamil> 5.26.0-0.1.mga2
+ Revision: 197742
- reenable sbcl build

* Wed Jan 11 2012 kamil <kamil> 5.26.0-0.mga2
+ Revision: 194948
- temporarily disable gcl and ecl build
- add tk, desktop-file-utils and time to BR
- disable make check
- new version
- spec cleaning a bit

* Thu May 05 2011 grenoya <grenoya> 5.24.0-1.mga1
+ Revision: 95217
- clean old Mdv syntax
- diseable sbcl

  + tv <tv>
    - fix texlive BR
    - new release

  + dmorgan <dmorgan>
    - Fix desktop file name
    - imported package maxima

